*{
	transition: .3s ease;
	font-family: "Comfortaa", sans-serif;
}
body{
	margin: 0;
	padding: 0;
	font-family: monospace;
}

#root{
	display: flex;
	flex-direction: column;
	margin: 0;
	padding: 0;
}

/* ===================== DASHBOARD MODAL DIALOG ===================== */
#root #modal-dialog{
	position: fixed;
	z-index: 999;
	top: 0;
	left: 0;
	width: 100vw;
	height: 100vh;
	display: flex;
	align-items: center;
	justify-content: center;
	visibility: hidden;
	opacity: 0;
}
#root #modal-dialog.modal-dialog-visible{
	visibility: visible !important;
	opacity: 1 !important;
}
#root #modal-dialog .modal-cover{
	position: absolute;
	left: 0;
	top: 0;
	width: 100%;
	height: 100%;
	background: black;
	opacity: 0.4;
}
#root #modal-dialog form{
	position: relative;
	display: flex;
	flex-direction: column;
	background: white;
	max-width: 20vw;
	border-radius: 0.4vw;
	box-shadow: 0px 0px 12px rgba(154, 153, 150, 0.06);
}
#root #modal-dialog form .dialog-details{
	display: flex;
	flex-direction: column;
	gap: 0.2vw;
	padding: 1.5vw;
	padding-bottom: 1vw;
	border-top-left-radius: 10px;
	border-top-right-radius: 10px;
}
#root #modal-dialog form .dialog-details span{
	font-size: 0.8vw;
	font-weight: bold;
}
#root #modal-dialog form .dialog-details small{
	font-size: 0.7vw;
	color: grey;
	line-height: 1.2vw;
}
#root #modal-dialog form .dialog-actions{
	display: flex;
	border-bottom-left-radius: 10px;
	border-bottom-right-radius: 10px;
	overflow: hidden;
	background: white;
	gap: 0.5vw;
	padding: 1vw;
	padding-top: 0;
}
#root #modal-dialog form .dialog-actions button{
	width: 100%;
}
/* ===================== DASHBOARD MODAL DIALOG ===================== */

#general-modal{
	position: fixed;
	z-index: 999;
	top: 0;
	left: 0;
	width: 100vw;
	height: 100vh;
	display: flex;
	align-items: center;
	justify-content: center;
	opacity: 0;
	visibility: hidden;
}
#general-modal.active{
	opacity: 1;
	visibility: visible;
}
#general-modal .cover{
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	background: black;
	opacity: .5;
}
#general-modal form{
	position: relative;
	display: flex;
	flex-direction: column;
	padding: 1.5vw;
	border-radius: 10px;
	background: whitesmoke;
	gap: 0.8vw;
	max-height: 70vh;
	overflow-y: scroll;
}
#general-modal form h3{
	margin: 0;
	grid-column: span 4;
	font-size: 1vw;
	font-weight: 500;
	color: #292929;
	margin-bottom: 0.5vw;
}
#general-modal form .grid-container{
	display: grid;
	grid-template-columns: repeat(2, 1fr);
	grid-gap: 0.8vw;
}
#general-modal form .grid-container hr{
	grid-column: span 2;
	width: 100%;
	height: 1px;
	border: none;
	background: #EEE;
}
#general-modal form .form-group{
	display: flex;
	flex-direction: column;
	gap: 0.4vw;
}
#general-modal form .grid-container .form-group.colspan-2{
	grid-column: span 2;
	min-width: 20vw;
}
#general-modal form .form-group label{
	font-size: 0.7vw;
	font-weight: bold;
	color: grey;
}
#general-modal form .form-group input{
	min-width: 10vw;
	width: calc(100% - 1.8vw);
}
#general-modal form .form-group select{
	width: 100%;
}

/* ===================== DASHBOARD LOADING INDICATOR ===================== */
#root #loading-indicator{
	position: absolute;
	bottom: 0;
	left: 50%;
	transform: translateX(-50%);
	z-index: 99;
	margin-bottom: 5vw;
	display: flex;
	align-items: center;
	gap: 0.5vw;
	padding: 0.5vw;
	border-radius: 0.5vw;
	background: #454545;
	color: white;
	box-shadow: 0px 0px 12px rgba(154, 153, 150, 0.06);
	visibility: hidden;
	opacity: 0;
}
#root #loading-indicator.indicator-visible{
	visibility: visible;
	opacity: 1;
}
#root #loading-indicator i{
	aspect-ratio: 1/1;
}
#root #loading-indicator progress{
	height: 0.2vw;
	border: 1px solid #2b2b2b;
	border-radius: 0.2vw;
}
#root #loading-indicator progress::-moz-progress-bar{
	background: #2b2b2b;
	transition: 1s;
}
#root #loading-indicator progress::-webkit-progress-value{
	background: #2b2b2b;
	transition: 1s;
}
/* ===================== DASHBOARD LOADING INDICATOR ===================== */

/* ===================== DASHBOARD NOTIFICATION BANNER ===================== */
#root #notification-banner{
	position: absolute;
	top: 0;
	z-index: 99999;
	margin-top: 0.5vw;
	left: 50%;
	transform: translateX(-50%);
	padding: 0.5vw;
	height: auto;
	display: flex;
	align-items: center;
	gap: 0.5vw;
	background: white;
	border: 2px solid transparent;
	border-radius: 10px;
	color: #292929;
	font-weight: bold;
	opacity: 0;
	visibility: hidden;
	box-shadow: 0px 0px 12px rgba(154, 153, 150, 0.06);
}
#root #notification-banner.notification-style-1{
	background: #2994b9;
	border-color: #2994b9;
	color: white;
}
#root #notification-banner.notification-style-2{
	background: #5cc58c;
	border-color: #5cc58c;
	color: white;
}
#root #notification-banner.notification-style-3{
	background: #e6ad00;
	border-color: #e6ad00;
	color: white;
}
#root #notification-banner.notification-style-4{
	background: #ef4543;
	border-color: #ef4543;
	color: white;
}
#root .notification-visible{
	opacity: 1 !important;
	visibility: visible !important;
}
#root #notification-banner .notification-indicator{
	font-size: 1.2vw;
}
#root #notification-banner .notification-details{
	display: flex;
	flex-direction: column;
	min-width: 10vw;
}
#root #notification-banner .notification-details span{
	font-size: 0.8vw;
}
#root #notification-banner .notification-details small{
	margin-top: 0.2vw;
	font-size: 0.7vw;
	color: inherit;
}
#root #notification-banner button{
	border: none;
	color: inherit;
	background: none;
	font-size: 0.8vw;
	cursor: pointer;
}
/* ===================== DASHBOARD NOTIFICATION BANNER ===================== */

/* ===================== AUTHORIZATION ROUTE ===================== */
#root .auth-root{
	display: flex;
	flex-direction: column;
	align-items: center;
	height: calc(100vh - 8vh);
	padding: 4vh 0;
	width: 100vw;
	background: #191919;
}
#root .auth-root img{
	height: 1vw;
	object-fit: contain;
}
#root .auth-root form{
	margin-top: auto;
	color: white;
	display: flex;
	flex-direction: column;
	width: 16vw;
}
#root .auth-root form img{
	height: 4vw;
	margin-bottom: 0.5vw;
}
#root .auth-root form h1{
	font-weight: bold;
	font-size: 1.5vw;
	margin: 0;
	margin-bottom: 1.5vw;
	text-align: center;
}
#root .auth-root form input{
	width: calc(100% - 1vw);
	padding: 0.5vw;
	border: 1px solid #313338;
	border-radius: 0.5vw;
	background: transparent;
	margin-bottom: 0.5vw;
	color: white;
	font-size: 0.7vw;
}
#root .auth-root form input:focus{
	outline: none;
	border-color: grey;
}
#root .auth-root form font{
	margin-bottom: 0.5vw;
	font-size: 0.7vw;
	font-weight: bold;
	text-align: left;
	color: #B00020;
}
#root .auth-root form button{
	width: 100%;
	padding: 0.5vw;
	border: none;
	border-radius: 0.5vw;
	font-size: 0.7vw;
	font-weight: bold;
	background: white;
	color: black;
	cursor: pointer;
}
#root .auth-root form button:hover{
	background: #CCC;
}
#root .auth-root .auth-footer{
	width: 20vw;
	margin-top: auto;
	color: white;
	text-align: center;
}
#root .auth-root .auth-footer span{
	font-size: small;
	opacity: .7;
}
#root .auth-root .auth-footer span a{
	color: white;
}
#root .auth-root .auth-footer .auth-footer-meta{
	margin: 0 auto;
	margin-top: 1.5vw;
	display: flex;
	gap: 1vw;
	width: fit-content;
}
#root .auth-root form.tablet-form{
	width: 25vw;
}
#root .auth-root form.tablet-form img{
	height: 5vw;
}
#root .auth-root form.tablet-form h1{
	font-size: 1.8vw;
}
#root .auth-root form.tablet-form input{
	width: calc(100% - 4vw);
	padding: 1.2vw 2vw;
	font-size: 1.5vw;
}
#root .auth-root form.tablet-form button{
	padding: 1.2vw 2vw;
	font-size: 1.4vw;
}
/* ===================== AUTHORIZATION ROUTE ===================== */